MAT_VARREADINFO(3)

NAME
Mat_VarReadInfo - Reads the information for a specific variable in a MATLAB MAT file.

SYNOPSIS
#include <matio.h>
matvar_t *
Mat_VarReadInfo(mat_t *matfp, const char *name);

DESCRIPTION
The Mat_VarReadInfo() function reads the information for the variable name in the open MAT file.

RETURN VALUES
If the variable was found in the MAT file and the information about the variable successfully read, a pointer to the MATLAB variable structure is returned. If the variable was not found, or there was an error reading the variable information, NULL is returned.

EXAMPLES

    #include "matio.h"
    int
    main(int argc,char **argv)
    {
        mat_t    *matfp;
        matvar_t *matvar;
        matfp = Mat_Open(argv[1],MAT_ACC_RDONLY);
        if ( NULL == matfp ) {
            fprintf(stderr,"Error opening MAT file %s,argv[1]);
            return EXIT_FAILURE;
        }
        matvar = Mat_VarReadInfo(matfp,"x");
        if ( NULL != matvar ) {
            Mat_VarPrint(matvar);
            Mat_VarFree(matvar);
        }
        Mat_Close(matfp);
        return EXIT_SUCCESS;
    }

SEE ALSO
Mat_VarRead(3), Mat_VarReadNextInfo(3), Mat_VarPrint(3)